Package org.eclipse.emf.cdo.transfer

## Enum CDOTransferMapping.Status

- java.lang.Object
- - java.lang.Enum<CDOTransferMapping.Status>
  - - org.eclipse.emf.cdo.transfer.CDOTransferMapping.Status

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<CDOTransferMapping.Status>`
  Enclosing interface:
    CDOTransferMapping

      public static enum CDOTransferMapping.Status
      extends java.lang.Enum<CDOTransferMapping.Status>

  Enumerates the possibles values of `CDOTransferMapping.getStatus()`.
  Author:
    Eike Stepper

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `CONFLICT` |
    `MERGE` |
    `NEW` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static CDOTransferMapping.Status` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static CDOTransferMapping.Status[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NEW

          public static final CDOTransferMapping.Status NEW

    - #### MERGE

          public static final CDOTransferMapping.Status MERGE

    - #### CONFLICT

          public static final CDOTransferMapping.Status CONFLICT

  - ### Method Detail

    - #### values

          public static CDOTransferMapping.Status[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CDOTransferMapping.Status c : CDOTransferMapping.Status.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CDOTransferMapping.Status valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null